Name:           tmux
Version:        2.2
Release:        1
Summary:        A terminal multiplexer

Group:          Applications/System
# Most of the source is ISC licensed; some of the files in compat/ are 2 and
# 3 clause BSD licensed.
License:        ISC and BSD
URL:            https://tmux.github.io/
Source0:        https://github.com/tmux/tmux/releases/download/%{version}/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  make
BuildRequires:  patch

BuildRequires:  libevent-devel >= 1.4.14b
Requires:       libevent >= 1.4.14b

BuildRequires:  AIX-rpm >= 5.2.0.0
Requires:       AIX-rpm >= 5.2.0.0

%description
tmux is a "terminal multiplexer."  It enables a number of terminals (or
windows) to be accessed and controlled from a single terminal.  tmux is
intended to be a simple, modern, BSD-licensed alternative to programs such
as GNU Screen.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch0


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

gmake install DESTDIR=${RPM_BUILD_ROOT} PREFIX=%{_prefix}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc CHANGES FAQ TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1
/usr/bin/%{name}


%changelog
* Wed Jan 18 2017 Michael Perzl <michael@perzl.org> - 2.2-1
- updated to version 2.2

* Thu Mar 27 2014 Michael Perzl <michael@perzl.org> - 1.9a-1
- updated to version 1.9a

* Thu Apr 04 2013 Michael Perzl <michael@perzl.org> - 1.8-1
- updated to version 1.8

* Mon Oct 15 2012 Michael Perzl <michael@perzl.org> - 1.7-1
- updated to version 1.7

* Fri Jan 27 2012 Michael Perzl <michael@perzl.org> - 1.6-1
- updated to version 1.6

* Thu Sep 22 2011 Michael Perzl <michael@perzl.org> - 1.5-1
- updated to version 1.5

* Thu Sep 22 2011 Michael Perzl <michael@perzl.org> - 1.4-1
- first version for AIX V5.2 and higher
